Package: org.gradle.plugins.javascript.envjs.http.simple

## [Java] Class SimpleHttpFileServer

- org.gradle.plugins.javascript.envjs.http.simple.SimpleHttpFileServer

- All Implemented Interfaces and Traits:
    HttpFileServer

      public class SimpleHttpFileServer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleHttpFileServer (File contentRoot, int port, org.gradle.internal.concurrent.Stoppable stopper)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getContentRoot()`
    `int` | `getPort()`
    `String` | `getResourceUrl(String path)`
    `void` | `stop()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public SimpleHttpFileServer(File contentRoot, int port, org.gradle.internal.concurrent.Stoppable stopper)

  - ### Method Detail

    - #### public File getContentRoot()

    - #### public int getPort()

    - #### public String getResourceUrl(String path)

    - #### public void stop()